package com.fs.fastGpt.mapper;


import com.fs.fastGpt.domain.FastGptUser;

import java.util.List;

/**
 * 客户信息Mapper接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface FastGptUserMapper 
{
    /**
     * 查询客户信息
     * 
     * @param uid 客户信息主键
     * @return 客户信息
     */
    public FastGptUser selectFastGptUserByUid(Long uid);

    /**
     * 查询客户信息列表
     * 
     * @param fastGptUser 客户信息
     * @return 客户信息集合
     */
    public List<FastGptUser> selectFastGptUserList(FastGptUser fastGptUser);

    /**
     * 新增客户信息
     * 
     * @param fastGptUser 客户信息
     * @return 结果
     */
    public int insertFastGptUser(FastGptUser fastGptUser);

    /**
     * 修改客户信息
     * 
     * @param fastGptUser 客户信息
     * @return 结果
     */
    public int updateFastGptUser(FastGptUser fastGptUser);

    /**
     * 删除客户信息
     * 
     * @param uid 客户信息主键
     * @return 结果
     */
    public int deleteFastGptUserByUid(Long uid);

    /**
     * 批量删除客户信息
     * 
     * @param uids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastGptUserByUids(Long[] uids);
}
